| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# informalexample

$Revision: 1.4 $

$Date: 2002/06/12 11:18:14 $

informalexample — A displayed example without a title

## Synopsis

### Content Model

    informalexample ::=
    (blockinfo?,
     (calloutlist|glosslist|itemizedlist|orderedlist|segmentedlist|
      simplelist|variablelist|literallayout|programlisting|
      programlistingco|screen|screenco|screenshot|synopsis|
      cmdsynopsis|funcsynopsis|classsynopsis|fieldsynopsis|
      constructorsynopsis|destructorsynopsis|methodsynopsis|
      formalpara|para|simpara|address|blockquote|graphic|graphicco|
      mediaobject|mediaobjectco|informalequation|informalexample|
      informalfigure|informaltable|indexterm|beginpage)+)

### Attributes

Common attributes

Name | Type | Default
width | CDATA | None

## Description

`InformalExample` is a wrapper for an example without a title. Examples often contain `ProgramListing`s or other large block elements.

### Processing expectations

Formatted as a displayed block.

### Note

It is an error to supply a `title` in the `blockinfo` for an informal example.

### Parents

These elements contain informalexample: `answer`, `appendix`, `article`, `bibliodiv`, `bibliography`, `blockquote`, `callout`, `caution`, `chapter`, `constraintdef`, `example`, `figure`, `footnote`, `glossary`, `glossdef`, `glossdiv`, `important`, `index`, `indexdiv`, `informalexample`, `informalfigure`, `itemizedlist`, `listitem`, `msgexplan`, `msgtext`, `note`, `orderedlist`, `para`, `partintro`, `preface`, `procedure`, `qandadiv`, `qandaset`, `question`, `refsect1`, `refsect2`, `refsect3`, `refsection`, `refsynopsisdiv`, `revdescription`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `setindex`, `sidebar`, `simplesect`, `step`, `tip`, `variablelist`, `warning`.

### Children

The following elements occur in informalexample: `address`, `beginpage`, `blockinfo`, `blockquote`, `calloutlist`, `classsynopsis`, `cmdsynopsis`, `constructorsynopsis`, `destructorsynopsis`, `fieldsynopsis`, `formalpara`, `funcsynopsis`, `glosslist`, `graphic`, `graphicco`, `indexterm`, `informalequation`, `informalexample`, `informalfigure`, `informaltable`, `itemizedlist`, `literallayout`, `mediaobject`, `mediaobjectco`, `methodsynopsis`, `orderedlist`, `para`, `programlisting`, `programlistingco`, `screen`, `screenco`, `screenshot`, `segmentedlist`, `simpara`, `simplelist`, `synopsis`, `variablelist`.

## Attributes

width

  `Width` specifies the width (in characters) of the longest line in this `InformalExample` (formatters may use this value to determine scaling or rotation).

## See Also

`equation`, `example`, `figure`, `informalequation`, `informalfigure`, `informaltable`, `table`.

## Examples

    <!DOCTYPE informalexample PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <informalexample>
    <programlisting>
    sub print_content_model {
        my($self) = shift;
        local($_) = shift;
        local(*FILE) = shift;

        my(@cm) = $self->format_content_model2($_);
        foreach $_ (@cm) {
            print FILE $self->make_links($_, 1, 1), "\n";
        }
    }
    </programlisting>
    </informalexample>

    sub print_content_model {
        my($self) = shift;
        local($_) = shift;
        local(*FILE) = shift;

        my(@cm) = $self->format_content_model2($_);
        foreach $_ (@cm) {
            print FILE $self->make_links($_, 1, 1), "\n";
        }
    }

For additional examples, see also `screenco`.

informalequation |  | informalfigure

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.